%define debug_package %{nil}

Summary:    An application dock applet for the MATE panel
Name:       mate-dock-applet
Version:    0.76
Release:    %mkrel 1
Group:      Graphical desktop/Mate
License:    GPLv3
Url:        https://github.com/robint99/%{name}
Source0:    https://github.com/robint99/%{name}/archive/%{name}-%{version}.tar.xz
BuildArch:  noarch
#----------------------------------
BuildRequires: python3
BuildRequires: libglib2.0-devel
#----------------------------------
Requires: python3
Requires: mate-panel
Requires: python3-pyxdg
Requires: python3-cairo
Requires: python3-gobject3
Requires: python3-pillow
Requires: python3-dbus
#----------------------------------

%description
MATE Dock Applet is a MATE Panel applet that displays
running application windows as icons. The applet features
options to pin applications to the dock, supports multiple
workspaces, and can be added to any MATE Panel, regardless
of size and orientation

%prep
%setup -q

#Fix applet path, no includes libs so move to datadir
sed -i "s|libdir|datadir|g" src/Makefile.am

%build
aclocal
automake --add-missing
autoreconf

%configure2_5x --with-gtk3

%make

%install
rm -rf %buildroot
%make_install

%files
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.dock.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.DockAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.panel.DockApplet.mate-panel-applet
%{_datadir}/mate-applets/%{name}/*



%changelog
* Sun May 14 2017 adrianomorselli <adrianomorselli> 0.76-1uplos2017
- update
